Bug 1129771 - [abrt] libreoffice-core: __fdelt_chk(): soffice.bin killed by SIGABRT
Summary: [abrt] libreoffice-core: __fdelt_chk(): soffice.bin killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sane-backends
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e1662f78349b96798d6513fff91...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-13 15:36 UTC by Frank Büttner
Modified: 2015-06-30 01:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:07:12 UTC


Attachments (Terms of Use)
File: backtrace (14.56 KB, text/plain)
2014-08-13 15:36 UTC, Frank Büttner
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-13 15:36 UTC, Frank Büttner
no flags Details
File: core_backtrace (21.99 KB, text/plain)
2014-08-13 15:36 UTC, Frank Büttner
no flags Details
File: dso_list (28.20 KB, text/plain)
2014-08-13 15:36 UTC, Frank Büttner
no flags Details
File: environ (1.93 KB, text/plain)
2014-08-13 15:36 UTC, Frank Büttner
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-13 15:36 UTC, Frank Büttner
no flags Details
File: maps (191.69 KB, text/plain)
2014-08-13 15:36 UTC, Frank Büttner
no flags Details
File: open_fds (521 bytes, text/plain)
2014-08-13 15:36 UTC, Frank Büttner
no flags Details
File: proc_pid_status (957 bytes, text/plain)
2014-08-13 15:36 UTC, Frank Büttner
no flags Details
File: var_log_messages (1.08 KB, text/plain)
2014-08-13 15:36 UTC, Frank Büttner
no flags Details

Description Frank Büttner 2014-08-13 15:36:06 UTC
Description of problem:
Insert images from my scanner.

Version-Release number of selected component:
libreoffice-core-4.2.6.2-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: __fdelt_chk
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #5 __fdelt_chk at fdelt_chk.c:25
 #6 e2_network_discovery at epson2.c:409
 #7 attach_one_config at epson2.c:844
 #8 sanei_configure_attach at sanei_config.c:446
 #9 sane_epson2_get_devices at epson2.c:926
 #10 sane_dll_get_devices at dll.c:1059
 #11 Sane::Init at /usr/src/debug/libreoffice-4.2.6.2/extensions/source/scanner/sane.cxx:228
 #12 Sane::ReloadDevices at /usr/src/debug/libreoffice-4.2.6.2/extensions/source/scanner/sane.cxx:255
 #13 SaneDlg::InitDevices at /usr/src/debug/libreoffice-4.2.6.2/extensions/source/scanner/sanedlg.cxx:150

Comment 1 Frank Büttner 2014-08-13 15:36:10 UTC
Created attachment 926488 [details]
File: backtrace

Comment 2 Frank Büttner 2014-08-13 15:36:11 UTC
Created attachment 926489 [details]
File: cgroup

Comment 3 Frank Büttner 2014-08-13 15:36:13 UTC
Created attachment 926490 [details]
File: core_backtrace

Comment 4 Frank Büttner 2014-08-13 15:36:15 UTC
Created attachment 926491 [details]
File: dso_list

Comment 5 Frank Büttner 2014-08-13 15:36:16 UTC
Created attachment 926492 [details]
File: environ

Comment 6 Frank Büttner 2014-08-13 15:36:17 UTC
Created attachment 926493 [details]
File: limits

Comment 7 Frank Büttner 2014-08-13 15:36:22 UTC
Created attachment 926494 [details]
File: maps

Comment 8 Frank Büttner 2014-08-13 15:36:23 UTC
Created attachment 926495 [details]
File: open_fds

Comment 9 Frank Büttner 2014-08-13 15:36:24 UTC
Created attachment 926496 [details]
File: proc_pid_status

Comment 10 Frank Büttner 2014-08-13 15:36:25 UTC
Created attachment 926497 [details]
File: var_log_messages

Comment 11 Nils Philippsen 2014-08-21 16:09:01 UTC
This looks as if the epson2 driver tries to use select() on a file descriptor > FD_SETSIZE:

#6  0x00007f7c9b602cc6 in e2_network_discovery () at epson2.c:409
...
        fd = 1054
...

The corresponding code is this:

--- 8< --- backends/epson2.c ---
static void
e2_network_discovery(void)
{
    fd_set rfds;
    int fd, len;
...
    status = sanei_udp_open_broadcast(&fd);    <-- fd is a result from socket() in here
...
    FD_ZERO(&rfds);
    FD_SET(fd, &rfds);                         <-- __fdelt_chk() -> __chk_fail()
    sanei_udp_set_nonblock(fd, SANE_TRUE);
    if (select(fd + 1, &rfds, NULL, NULL, &to) > 0) {
...
--- >8 -------------------------

I'm not sure why there are so many FDs in use, but it seems best to use poll() instead of select() which avoids using a fixed-size buffer for FDs to be monitored.

Comment 12 Fedora End Of Life 2015-05-29 12:37:44 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-30 01:07:12 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.